/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.admin.event;

import com.sun.enterprise.admin.event.ElementChangeEvent;


/**
 * <pre>
 *   This event deals with message-security-config element
 * </pre>
 *
 * @author: sreeni
 */
public class MessageSecurityConfigEvent extends ElementChangeEvent {

    /**
     * Event type
     */
    public static final String eventType =
                        MessageSecurityConfigEvent.class.getName();

    /**
     * @param instance name of the instance to which the event applies
     * @param action type of action, create, delete, or update
     * @param id/primary key
     */
    public MessageSecurityConfigEvent(String instance, int action, String id) {
        super(instance, eventType, action, id);
    }

}
